%define modname agenda

Summary: Elastix Module Agenda 
Name:    elastix-%{modname}
Version: 2.0.0
Release: 23
License: GPL
Group:   Applications/System
Source0: %{modname}_%{version}-%{release}.tgz
#Source0: %{modname}_%{version}-20.tgz
Source1: calendarEvent.gsm
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Prereq: elastix >= 2.0

%description
Elastix Module Agenda

%prep
%setup -n %{modname}

%install
rm -rf $RPM_BUILD_ROOT

# Files provided by all Elastix modules
mkdir -p    $RPM_BUILD_ROOT/var/www/html/
mv modules/ $RPM_BUILD_ROOT/var/www/html/

# Additional (module-specific) files that can be handled by RPM
#mkdir -p $RPM_BUILD_ROOT/opt/elastix/
#mv setup/dialer

# The following folder should contain all the data that is required by the installer,
# that cannot be handled by RPM.
mkdir -p    $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
mv setup/   $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
mv menu.xml $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/

# Copy required sound file
mkdir -p $RPM_BUILD_ROOT/var/lib/asterisk/sounds/custom/
chown -R asterisk.asterisk /var/lib/asterisk/sounds/custom
cp %{SOURCE1} $RPM_BUILD_ROOT/var/lib/asterisk/sounds/custom/

%pre
#se crea el directorio address_book_images para contener imagenes de contactos
ls /var/www/address_book_images &>/dev/null
res=$?
if [ $res -ne 0 ]; then
    mkdir /var/www/address_book_images
    chown asterisk.asterisk /var/www/address_book_images
    chmod 755 /var/www/address_book_images
    echo "creando directorio /var/www/address_book_images"
fi


%post

# Run installer script to fix up ACLs and add module to Elastix menus.
elastix-menumerge /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/menu.xml

# The installer script expects to be in /tmp/new_module
mkdir -p /tmp/new_module/%{modname}
cp -r /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/* /tmp/new_module/%{modname}/
chown -R asterisk.asterisk /tmp/new_module/%{modname}

php /tmp/new_module/%{modname}/setup/installer.php
rm -rf /tmp/new_module

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ $1 -eq 0 ] ; then # Validation for desinstall this rpm
  echo "Delete Agenda menus"
  elastix-menuremove "%{modname}"
fi

%files
%defattr(-, asterisk, asterisk)
%{_localstatedir}/www/html/*
/usr/share/elastix/module_installer/*
/var/lib/asterisk/sounds/custom
/var/lib/asterisk/sounds/custom/calendarEvent.gsm

%changelog
* Fri Oct 29 2010 Eduardo Cueva <ecueva@palosanto.com> 2.0.0-23
- FIXED: Fixed to show script in address_book of calendar, this was solved 
  using htmlspecialchars function in PHP. SVN Rev[1878]

* Wed Oct 27 2010 Eduardo Cueva <ecueva@palosanto.com> 2.0.0-22
- CHANGED:  New Parameters en Calendar "reminderTimer" it is used to create
  .call files to reminder 10, 30 or 60 minutes before to start the event
  SVN Rev[1858]
- FIXED:    Fixed some bug about the information of events per user, where 
  other user can be view, edit or delete the event only knowing the id_event
  SVN Rev[1858]
- FIXED:    In address_book the view of report in external contact was escaped 
  for html using htmlspecialchars function, it is for avoid security bugs
  SVN Rev[1858]
- CHANGED:  Add changes to add new field reminderTimer in installer.php(agenda)
  SVN Rev[1858]
- CHANGED:  Updated the Bulgarian language. SVN Rev[1857].
- CHANGED:  News changes in address_book, support to add pictures of contacts
  and user can see others contacs if they are public. [#346]. SVN Rev[1852]

* Wed Oct 27 2010 Eduardo Cueva <ecueva@palosanto.com> 2.0.0-21
- CHANGED: Create a new directory address_book_images to content images of all
  contacts in address_book.

* Mon Oct 12 2010 Eduardo Cueva <ecueva@palosanto.com> 2.0.0-20
- FIXED:   function getIdUser was removed of paloAdressBook.class.php because 
  already exists in paloSantoACL. SVN Rev[1848]
- FIXED:   Fixed security bug in recording module, where was possible execute
  commands in the text field of recording name because it use  function exec in php
  to move the files with the text in text field. [#553] SVN Rev[1835]
  Lost recording after be recorded, it happened because the tmp path was wrong and
  the correct path is /var/spool/asterisk/tmp SVN Rev[1835]
- FIXED:   Put option rawmode=yes in queryString in download audio file and set path
  file destination in the header response. [#552] SVN Rev[1834]
- ADDED:   Add es.lang SVN Rev[1834]
- CHANGED: Updated fa.lang. SVN Rev[1825]

* Tue Oct 12 2010 Eduardo Cueva <ecueva@palosanto.com> 2.0.0-19
- ADDED:   New fa.lang file (Persian). SVN Rev[1793]

* Fri Aug 20 2010 Eduardo Cueva D. <ecueva@palosanto.com> 2.0.0-18
- CHANGED: Change label "here" to "Aqui" in en.lang (calendar modules). Rev[1717]
- CHANGED: Change some validation of dates and validation about Reminder configure call and notify by email. Rev[1716]
- FIXED:   Bug fixed in calendar modules where all events were showed for all users. Rev[1714]

* Wed Aug 18 2010 Eduardo Cueva D. <ecueva@palosanto.com> 2.0.0-17
- CHANGED:    Change calendar module, translate en.lang and fix some logic in mini calendar and fullcalendar. Rev[1709]

* Tue Aug 17 2010 Eduardo Cueva D. <ecueva@palosanto.com> 2.0.0-16
- CHANGED:    Change in calendar module when no exist a recording in the action new event, the field Email to notify appear although section Notify Guest by email was inactive. Rev[1698]
- CHANGED:    Module calendar was improved. interaction mini calendar with nig calendar. Rev[1707]

* Thu Aug 12 2010 Eduardo Cueva D. <ecueva@palosanto.com> 2.0.0-15
- CHANGED: Change the help file in calendar module. Rev[1693]
- CHANGED: Modulo calendar was improved in styles and javascripts. Rev[1691]

* Sat Aug 07 2010 Eduardo Cueva D. <ecueva@palosanto.com> 2.0.0-14
- CHANGED:  Change the help of calendar module.

* Thu Jul 29 2010 Alex Villacis Lasso <a_villacis.palosanto.com> 2.0.0-13
- FIXED: Not only /var/lib/asterisk/sounds/custom/calendarEvent.gsm must
  be listed in files section, /var/lib/asterisk/sounds/custom/ must be
  listed too. Required for asterisk.asterisk ownership to be extended to
  directory.

* Wed Jul 14 2010 Bruno Macias V. <bmacias@palosanto.com> 2.0.0-12
- NEW: Address book support blind tranfer.

* Mon Jun 28 2010 Eduardo Cueva <ecueva@palosanto.com> 2.0.0-11
- CHANGED: Calendar_ Fold functionality for phone number display into main index.php, delete phone_numbers.php, and adjust template accordingly. This places phone number display under ACL control.

* Mon Jun 28 2010 Eduardo Cueva <ecueva@palosanto.com> 2.0.0-10
- CHANGED: The file cvs to download in address book is generate in the same index.php and do not call a external file download_csv.php.

* Thu Apr 15 2010 Bruno Macias V. <bmacias@palosanto.com> 2.0.0-9
- Create file call for make to call agended.
- Be Improved the look the message  email event.
- Implementation of protocol for make call.

* Tue Mar 16 2010 Bruno Macias V. <bmacias@palosanto.com> 2.0.0-8
- Defined number order menu.
- Fixed minor bug in module calendar.
- Download ical file from calendar.

* Mon Mar 01 2010 Bruno Macias V. <bmacias@palosanto.com> 2.0.0-7
- Re-write code module calendar, now module support jquery. Version module beta1.

* Tue Jan 19 2010 Bruno Macias V. <bmacias@palosanto.com> 2.0.0-6
- Function getParameter removed in module agenda.

* Fri Jan 08 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 2.0.0-5
- Add calendarEvent.gsm as tracked file, no changes in code.

* Fri Dec 04 2009 Bruno Macias <bmacias@palosanto.com> 2.0.0-4
- Increment release.

* Mon Oct 19 2009 Bruno Macias <bmacias@palosanto.com> 2.0.0-3
- Add accion uninstall rpm. 

* Mon Sep 07 2009 Bruno Macias <bmacias@palosanto.com> 2.0.0-2
- New structure menu.xml, add attributes link and order.

* Wed Aug 26 2009 Bruno Macias <bmacias@palosanto.com> 1.0.0-1
- Initial version.
